/***************************************************************************
 *   Copyright (C) 2006-2022 by Helge Kortendieck <alan@kasmithee.de>      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#include "qrm.h"

#include <QApplication>
#include <QStringList>

#include <iostream>
using namespace std;

int main(int argc, char **argv)
{
	QApplication app(argc, argv);
	QStringList slArgs = QApplication::arguments();   // get command line args
	int iArgs = slArgs.count();

	if(iArgs > 1) {
		cout << "\n###  qrsyncmgr - a small tool to manage your rsyncs\n"
			"###  Version 2.9.3\n"
			"###  Copyright (C) 2006-2022 by Helge Kortendieck, alan@kasmithee.de\n"
			"###  Released under GPL2 (or later)\n"
			"###  \n"
			"###  Based on Qt5.\n"
			"###  Use 'man qrsyncmgr' to see a short program description.\n"
			"###  To run the program, start it without arguments.\n" << endl;
		return 0;
	}

	Qrmgr qrm;
	qrm.show();
	return app.exec();
}
