/***************************************************************************
 *   Copyright (C) 2008 Helge Kortendieck alan@kasmithee.de                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef _STRUCTS_H_
#define _STRUCTS_H_

#include <QString>


struct Rsync {          // set of items that define a rsync operation
  QString name;             // name of rsync definition
  QString lastRun;          // date of last successful run
  QString desc;             // description of rsync definition (longer)
  QString srcMp;            // source dir mount point to check and mount/unmount
  QString destMp;           // destination dir mount point to check and mount/unmount
  QString cmd;              // rsync command(s), one per line
};

struct Mp {             // mount point list structure
  int type;                 // type, 0=source, 1=destination
  QString mp;               // mount point as in /etc/fstab
};


#endif  // _STRUCTS_H_

